/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.seddb.model;
// Generated 14.06.2012 11:30:57 by Hibernate Tools 3.4.0.CR1


import java.math.BigDecimal;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.UniqueConstraint;

/**
 * Bezugspegel generated by hbm2java
 */
@Entity
@Table(name="BEZUGSPEGEL"
    ,schema="SEDDB"
    , uniqueConstraints = @UniqueConstraint(columnNames={"GEWAESSERID", "NAME"})
)
public class Bezugspegel  implements java.io.Serializable {


     private long bezugspegelid;
     private Gewaesser gewaesser;
     private BigDecimal km;
     private String name;
     private BigDecimal nullpunkt;
     private String kennung;
     private BigDecimal einzugsgebiet;
     private Date inbetrieb;
     private String fliesscharakter;
     private BigDecimal laufentwicklung;
     private BigDecimal mnq;
     private BigDecimal mq;
     private BigDecimal mhq;
     private BigDecimal nnq;
     private BigDecimal hhq;
     private Date nnqdatum;
     private Date hhqdatum;
     private String jahresreihe;
     private String bemerkung;
     private Set<Station> stations = new HashSet<Station>(0);

    public Bezugspegel() {
    }

    public Bezugspegel(long bezugspegelid, Gewaesser gewaesser, BigDecimal km, String name, BigDecimal nullpunkt) {
        this.bezugspegelid = bezugspegelid;
        this.gewaesser = gewaesser;
        this.km = km;
        this.name = name;
        this.nullpunkt = nullpunkt;
    }
    public Bezugspegel(long bezugspegelid, Gewaesser gewaesser, BigDecimal km, String name, BigDecimal nullpunkt, String kennung, BigDecimal einzugsgebiet, Date inbetrieb, String fliesscharakter, BigDecimal laufentwicklung, BigDecimal mnq, BigDecimal mq, BigDecimal mhq, BigDecimal nnq, BigDecimal hhq, Date nnqdatum, Date hhqdatum, String jahresreihe, String bemerkung, Set<Station> stations) {
       this.bezugspegelid = bezugspegelid;
       this.gewaesser = gewaesser;
       this.km = km;
       this.name = name;
       this.nullpunkt = nullpunkt;
       this.kennung = kennung;
       this.einzugsgebiet = einzugsgebiet;
       this.inbetrieb = inbetrieb;
       this.fliesscharakter = fliesscharakter;
       this.laufentwicklung = laufentwicklung;
       this.mnq = mnq;
       this.mq = mq;
       this.mhq = mhq;
       this.nnq = nnq;
       this.hhq = hhq;
       this.nnqdatum = nnqdatum;
       this.hhqdatum = hhqdatum;
       this.jahresreihe = jahresreihe;
       this.bemerkung = bemerkung;
       this.stations = stations;
    }

     @Id


    @Column(name="BEZUGSPEGELID", unique=true, nullable=false, precision=11, scale=0)
    public long getBezugspegelid() {
        return this.bezugspegelid;
    }

    public void setBezugspegelid(long bezugspegelid) {
        this.bezugspegelid = bezugspegelid;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="GEWAESSERID", nullable=false)
    public Gewaesser getGewaesser() {
        return this.gewaesser;
    }

    public void setGewaesser(Gewaesser gewaesser) {
        this.gewaesser = gewaesser;
    }


    @Column(name="KM", nullable=false, precision=8, scale=3)
    public BigDecimal getKm() {
        return this.km;
    }

    public void setKm(BigDecimal km) {
        this.km = km;
    }


    @Column(name="NAME", nullable=false, length=50)
    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }


    @Column(name="NULLPUNKT", nullable=false, precision=8, scale=3)
    public BigDecimal getNullpunkt() {
        return this.nullpunkt;
    }

    public void setNullpunkt(BigDecimal nullpunkt) {
        this.nullpunkt = nullpunkt;
    }


    @Column(name="KENNUNG", length=16)
    public String getKennung() {
        return this.kennung;
    }

    public void setKennung(String kennung) {
        this.kennung = kennung;
    }


    @Column(name="EINZUGSGEBIET", precision=10)
    public BigDecimal getEinzugsgebiet() {
        return this.einzugsgebiet;
    }

    public void setEinzugsgebiet(BigDecimal einzugsgebiet) {
        this.einzugsgebiet = einzugsgebiet;
    }

    @Temporal(TemporalType.DATE)
    @Column(name="INBETRIEB", length=7)
    public Date getInbetrieb() {
        return this.inbetrieb;
    }

    public void setInbetrieb(Date inbetrieb) {
        this.inbetrieb = inbetrieb;
    }


    @Column(name="FLIESSCHARAKTER", length=3)
    public String getFliesscharakter() {
        return this.fliesscharakter;
    }

    public void setFliesscharakter(String fliesscharakter) {
        this.fliesscharakter = fliesscharakter;
    }


    @Column(name="LAUFENTWICKLUNG", precision=7, scale=3)
    public BigDecimal getLaufentwicklung() {
        return this.laufentwicklung;
    }

    public void setLaufentwicklung(BigDecimal laufentwicklung) {
        this.laufentwicklung = laufentwicklung;
    }


    @Column(name="MNQ", precision=8, scale=3)
    public BigDecimal getMnq() {
        return this.mnq;
    }

    public void setMnq(BigDecimal mnq) {
        this.mnq = mnq;
    }


    @Column(name="MQ", precision=8, scale=3)
    public BigDecimal getMq() {
        return this.mq;
    }

    public void setMq(BigDecimal mq) {
        this.mq = mq;
    }


    @Column(name="MHQ", precision=8, scale=3)
    public BigDecimal getMhq() {
        return this.mhq;
    }

    public void setMhq(BigDecimal mhq) {
        this.mhq = mhq;
    }


    @Column(name="NNQ", precision=8, scale=3)
    public BigDecimal getNnq() {
        return this.nnq;
    }

    public void setNnq(BigDecimal nnq) {
        this.nnq = nnq;
    }


    @Column(name="HHQ", precision=8, scale=3)
    public BigDecimal getHhq() {
        return this.hhq;
    }

    public void setHhq(BigDecimal hhq) {
        this.hhq = hhq;
    }

    @Temporal(TemporalType.DATE)
    @Column(name="NNQDATUM", length=7)
    public Date getNnqdatum() {
        return this.nnqdatum;
    }

    public void setNnqdatum(Date nnqdatum) {
        this.nnqdatum = nnqdatum;
    }

    @Temporal(TemporalType.DATE)
    @Column(name="HHQDATUM", length=7)
    public Date getHhqdatum() {
        return this.hhqdatum;
    }

    public void setHhqdatum(Date hhqdatum) {
        this.hhqdatum = hhqdatum;
    }


    @Column(name="JAHRESREIHE", length=12)
    public String getJahresreihe() {
        return this.jahresreihe;
    }

    public void setJahresreihe(String jahresreihe) {
        this.jahresreihe = jahresreihe;
    }


    @Column(name="BEMERKUNG", length=240)
    public String getBemerkung() {
        return this.bemerkung;
    }

    public void setBemerkung(String bemerkung) {
        this.bemerkung = bemerkung;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="bezugspegel")
    public Set<Station> getStations() {
        return this.stations;
    }

    public void setStations(Set<Station> stations) {
        this.stations = stations;
    }
}
